

				wmDate

			Date display for X11



	<http://wit401310.student.utwente.nl/apps/wmdate.html>


				  by
			    Alban Hertroys

		  (dalroi@wit401310.student.utwente.nl)



Description
===========
wmDate is a date-display utility. It was originally based on the
displaying lay-out of asclock (which in turn is based on the 
time-display utility used in NeXTStep).


Requirements
============
- X11R6.x
	wmDate will probably run on older versions like X11R5 
	(Solaris) and X11R4 (OpenWindows), but that hasn't been
	tested.
	You will need the X header files installed too.

- Basics
	You will need a working C compiler and the program xmkmf.

- libdockapp-0.2 or newer
	As of yet, this library is included with the WindowMaker 
	window manager. If you installed it from source, it is
	located in the tar.gz file. It won't be installed by
	default.
	This library requires you to have the X shape extensions
	and libXPM 4.7 or newer.
	

Supported Platforms
===================
(if your platform isn't amongst them nd it works, please tell me.
 You can e-mail me at dalroi@wit401310.student.utwente.nl        )

 - Intel/FreeBSD 3.1 		(development platform)
 - SGI Irix 6.3
 - StrongArm/NetBSD
 - Linux

 I do not expect any problems on other BSD's and Linux.

 Patches to make it work on other platforms are welcome.


Options
=======
The following command-line options are available for wmDate:

-h, -help, --help
    A list of switches and the syntax to use them.

-d, --display <string>
	Run wmdate on the display mentioned.
	
-s, --not-shaped
    Do not run the window shaped. Without this option, wmDate will 
	run in a shaped window.

-t, --test
    Run wmDate in test mode. Mouse-clicks on the calendar will
    increase the day shown. This mode doesn't care about how
    many days are in this month, or which month and day of the
    week it is.

--version
    Show the version number of wmDate.


BUGS
-----
In test mode a shaped window doesn't always update the date
when clicked on. This bug only occurs on some systems, depending on
the XServer running. It is assumed an XServer bug.

* X-Servers this bug was encountered on:
	XF86_SVGA

* X-Servers that do NOT have this bug:
	XF86_S3
	XF86_VGA16
	Xsgi
	Xarm33

There is a workaround with a switch in the Imakefile.

(If you're running a different XServer and you encounter this bug,
 please tell me.)

